Commits

Jack Frost committed 30347fa

further miner fixes

Comments (0)

Files changed (1)

 	rm -r "$tmpdir"
 }
 
-trap 'miner.cleanup' EXIT
-
 while getopts "j:hs" option; do
 	case "$option" in
 		j) minecraft_jar=`realpath "$OPTARG"`;;
 
 miner.patch && {
 	miner.msg "success"
+	miner.cleanup
 } || {
 	miner.err "Something went wrong. See /tmp/miner.log for details"
 	exit 7